# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc促销活动列表获取,2262,2262-38,sit,bs
主数据平台:运营后台管理系统促销活动列表查询接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json


module = "cmdc_commodity_activity"


# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username30")
password = commonFuc().get_business_data(module, "password30")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步进行促销活动列表获取
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload1")
"""
 场景:查询促销活动列表
 用例名称：查询促销活动列表
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = result.elapsed.total_seconds()

# 获取列表中促销活动数量
result = json.loads(result.content)
result = {"total": result["data"]["total"]}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库中促销活动数量
sql = "SELECT count(t.activityBasicId) FROM `cmdc-order`.tc_activity_basic t WHERE companyCode = 00102"
total = mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict1", total)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
